Bug 1575008 - Review Request: pidgin-chime - Pidgin/libpurple protocol plugin for Amazon Chime
Summary: Review Request: pidgin-chime - Pidgin/libpurple protocol plugin for Amazon Chime
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 14:10 UTC by David Woodhouse
Modified: 2020-08-03 00:36 UTC (History)
3 users (show)

Fixed In Version: pidgin-chime-1.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-03 00:36:20 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description David Woodhouse 2018-05-04 14:10:04 UTC
Spec URL: http://david.woodhou.se/pidgin-chime.spec
SRPM URL: http://david.woodhou.se/pidgin-chime-0.91-1.fc28.src.rpm
Description:
A plugin for the Pidgin multi-protocol instant messenger, to support Amazon Chime.
Fedora Account System Username: dwmw2

Comment 2 David Woodhouse 2018-05-04 18:56:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluate


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: pidgin-chime-debugsource : /usr/src/debug/pidgin-
  chime-0.92-1.fc28.x86_64/chime/chime-call-audio.h  … other false positives …
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
  (It has some; they're plugins)
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL", "Unknown or generated", "MIT/X11 (BSD like)", "LGPL
     (v2.1)", "LGPL (v2.1 or later)", "*No copyright* LGPL (v2.1 or
     later)". 61 files have unknown license. Detailed output of
     licensecheck in /home/dwmw2/1575008-pidgin-chime/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
  Yes, it's in purple-chime which is the base package.

[x]: Package does not own files or directories owned by other packages.
     Note: … more debuginfo false positives …
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
 /etc/pki/ is fine, right?

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in purple-
     chime , evolution-chime , pidgin-chime-debuginfo , pidgin-chime-
     debugsource
   That's fine; purple-chime is the base binary package.
[x]: Package functions as described.
[x]: Latest version is packaged.
  It will be :)
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
  Yeah, there'll be a 1.0 tarball on the FTP site when we're done.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pidgin-chime-0.92-1.fc28.x86_64.rpm
          purple-chime-0.92-1.fc28.x86_64.rpm
          evolution-chime-0.92-1.fc28.x86_64.rpm
          pidgin-chime-debuginfo-0.92-1.fc28.x86_64.rpm
          pidgin-chime-debugsource-0.92-1.fc28.x86_64.rpm
          pidgin-chime-0.92-1.fc28.src.rpm
pidgin-chime.x86_64: W: spelling-error Summary(en_US) libpurple -> lib purple, lib-purple, purple
pidgin-chime.x86_64: W: no-documentation
purple-chime.x86_64: W: spelling-error Summary(en_US) Libpurple -> Lib purple, Lib-purple, Purple
purple-chime.x86_64: W: spelling-error %description -l en_US libpurple -> lib purple, lib-purple, purple
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon.com_InfoSec_CA_G3.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon.com_InfoSec_CA_G3.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon.com_Internal_Root_Certificate_Authority.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon.com_Internal_Root_Certificate_Authority.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_1.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_1.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_2.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_2.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_3.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_3.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_4.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_4.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/SFS_Root_CA_G2.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/SFS_Root_CA_G2.pem
evolution-chime.x86_64: W: no-documentation
pidgin-chime-debugsource.x86_64: W: no-documentation
pidgin-chime.src: W: spelling-error Summary(en_US) libpurple -> lib purple, lib-purple, purple
pidgin-chime.src: W: invalid-url Source0: pidgin-chime-0.92.tar.gz
6 packages and 0 specfiles checked; 0 errors, 22 warnings.




Rpmlint (debuginfo)
-------------------
Checking: pidgin-chime-debuginfo-0.92-1.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
pidgin-chime-debuginfo.x86_64: W: invalid-url URL: https://github.com/awslabs/pidgin-chime <urlopen error [Errno -2] Name or service not known>
purple-chime.x86_64: W: spelling-error Summary(en_US) Libpurple -> Lib purple, Lib-purple, Purple
purple-chime.x86_64: W: spelling-error %description -l en_US libpurple -> lib purple, lib-purple, purple
purple-chime.x86_64: W: invalid-url URL: https://github.com/awslabs/pidgin-chime <urlopen error [Errno -2] Name or service not known>
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon.com_InfoSec_CA_G3.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon.com_InfoSec_CA_G3.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon.com_Internal_Root_Certificate_Authority.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon.com_Internal_Root_Certificate_Authority.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_1.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_1.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_2.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_2.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_3.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_3.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_4.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_4.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/SFS_Root_CA_G2.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/SFS_Root_CA_G2.pem
pidgin-chime-debugsource.x86_64: W: invalid-url URL: https://github.com/awslabs/pidgin-chime <urlopen error [Errno -2] Name or service not known>
pidgin-chime-debugsource.x86_64: W: no-documentation
pidgin-chime.x86_64: W: spelling-error Summary(en_US) libpurple -> lib purple, lib-purple, purple
pidgin-chime.x86_64: W: invalid-url URL: https://github.com/awslabs/pidgin-chime <urlopen error [Errno -2] Name or service not known>
pidgin-chime.x86_64: W: no-documentation
evolution-chime.x86_64: W: invalid-url URL: https://github.com/awslabs/pidgin-chime <urlopen error [Errno -2] Name or service not known>
evolution-chime.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 25 warnings.



Requires
--------
pidgin-chime-debuginfo (rpmlib, GLIBC filtered):

purple-chime (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgnutls.so.30()(64bit)
    libgnutls.so.30(GNUTLS_3_4)(64bit)
    libgobject-2.0.so.0()(64bit)
    libgstapp-1.0.so.0()(64bit)
    libgstbase-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgstrtp-1.0.so.0()(64bit)
    libgstvideo-1.0.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libprotobuf-c.so.1()(64bit)
    libprotobuf-c.so.1(LIBPROTOBUF_C_1.0.0)(64bit)
    libpthread.so.0()(64bit)
    libpurple.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    rtld(GNU_HASH)

pidgin-chime-debugsource (rpmlib, GLIBC filtered):

pidgin-chime (rpmlib, GLIBC filtered):
    evolution-chime
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libfribidi.so.0()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpurple.so.0()(64bit)
    pidgin
    purple-chime(x86-64)
    rtld(GNU_HASH)

evolution-chime (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdl.so.2()(64bit)
    libebackend-1.2.so.10()(64bit)
    libebook-1.2.so.19()(64bit)
    libebook-contacts-1.2.so.2()(64bit)
    libecal-1.2.so.19()(64bit)
    libedata-book-1.2.so.25()(64bit)
    libedataserver-1.2.so.23()(64bit)
    libedataserverui-1.2.so.2()(64bit)
    libevolution-calendar.so()(64bit)
    libevolution-shell.so()(64bit)
    libevolution-util.so()(64bit)
    libfribidi.so.0()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libical.so.3()(64bit)
    libicalss.so.3()(64bit)
    libicalvcal.so.3()(64bit)
    libjavascriptcoregtk-4.0.so.18()(64bit)
    libnspr4.so()(64bit)
    libnss3.so()(64bit)
    libnssutil3.so()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libplc4.so()(64bit)
    libplds4.so()(64bit)
    libpthread.so.0()(64bit)
    libsecret-1.so.0()(64bit)
    libsmime3.so()(64bit)
    libsoup-2.4.so.1()(64bit)
    libssl3.so()(64bit)
    libwebkit2gtk-4.0.so.37()(64bit)
    libxml2.so.2()(64bit)
    pidgin-chime
    rtld(GNU_HASH)



Provides
--------
pidgin-chime-debuginfo:
    debuginfo(build-id)
    pidgin-chime-debuginfo
    pidgin-chime-debuginfo(x86-64)

purple-chime:
    libapp-transmitter.so()(64bit)
    libchimeprpl.so()(64bit)
    libgstchime.so()(64bit)
    purple-chime
    purple-chime(x86-64)

pidgin-chime-debugsource:
    pidgin-chime-debugsource
    pidgin-chime-debugsource(x86-64)

pidgin-chime:
    pidgin-chime
    pidgin-chime(x86-64)

evolution-chime:
    evolution-chime
    evolution-chime(x86-64)



Unversioned so-files
--------------------
pidgin-chime: /usr/lib64/pidgin/chimeseen.so
purple-chime: /usr/lib64/farstream-0.2/libapp-transmitter.so
purple-chime: /usr/lib64/gstreamer-1.0/libgstchime.so
purple-chime: /usr/lib64/purple-2/libchimeprpl.so
evolution-chime: /usr/lib64/evolution/modules/module-event-from-template.so

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1575008 -m fedora-28-x86_64
Buildroot used: fedora-28-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Robert-André Mauchin 🐧 2018-05-05 12:53:56 UTC
 - Latest version is 0.94

 - Group: is not needed

 - %defattr(-,root,root,-) is not needed

 - Source0: should be a URL, like:

Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

 - The snapshot info should be in Release, not Version:

Version:        %{tagver}
Release:        1%{?snapver}%{?dist}

- The snapver data is incorrect, it should be: .%{snapshotdate}git%{shortcommit}

Comment 4 Robert-André Mauchin 🐧 2018-05-05 12:55:37 UTC
 - In %files: /etc → %{_sysconfdir}

Comment 5 David Woodhouse 2018-05-06 08:33:41 UTC
Spec URL: http://david.woodhou.se/pidgin-chime.spec
SRPM URL: http://david.woodhou.se/pidgin-chime-0.95-1.fc28.src.rpm

Thanks for the review.

(In reply to Robert-André Mauchin from comment #3)
>  - Latest version is 0.94

0.95 now; I'm tagging "releases" as I go, for testing. When the review is done and I'm ready to do a proper build, I'll call it 1.0.

>  - Group: is not needed 
>  - %defattr(-,root,root,-) is not needed

Removed.

>  - Source0: should be a URL, like:
> 
> Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Fixed.

>  - The snapshot info should be in Release, not Version:

I'm not doing snapshots for the real Fedora package builds; I'll always tag a proper release before building in Fedora. The snapshot support in the specfile is just for the COPR which autobuilds each github commit. I'll rip it out completely for the real builds. FWIW that's what rpkg does with its {{{git_version}}} macro, which COPR seems to be pushing us to use these days.

(In reply to Robert-André Mauchin from comment #4)
>  - In %files: /etc → %{_sysconfdir}

Done. Thanks.

Comment 6 Robert-André Mauchin 🐧 2018-05-06 16:37:00 UTC
 - Add a BR for gcc.

I'll finish the review when Rawhide is not broken anymore.

Comment 7 David Woodhouse 2018-05-06 17:38:50 UTC
Hm, I just *removed* the GCC BR because fedora-review complained about it...?

Comment 8 Robert-André Mauchin 🐧 2018-05-06 18:17:55 UTC
fedora-review is not up to date regarding this, current guidelines say it needs to be there: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B And we have also removed gcc from the default buildroot during the F28/F29 cycle, see https://fedoraproject.org/wiki/Changes/Remove_GCC_from_BuildRoot

Comment 9 David Woodhouse 2018-05-06 19:00:10 UTC
Ack. Will put it back then. Thanks

Comment 10 David Woodhouse 2018-05-06 19:11:42 UTC
Spec URL: http://david.woodhou.se/pidgin-chime.spec
SRPM URL: http://david.woodhou.se/pidgin-chime-0.95-2.fc28.src.rpm

BR:gcc again.

Comment 11 Robert-André Mauchin 🐧 2018-05-06 22:00:02 UTC
Package approved.

There's a mismatch between the Version-Header in the header and in the %changelog. Please fix this before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL", "Unknown or generated", "MIT/X11 (BSD like)", "LGPL
     (v2.1)", "LGPL (v2.1 or later)", "*No copyright* LGPL (v2.1 or
     later)". 59 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/pidgin-chime/review-pidgin-
     chime/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in purple-
     chime , evolution-chime
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pidgin-chime-0.95-2.fc28.x86_64.rpm
          purple-chime-0.95-2.fc28.x86_64.rpm
          evolution-chime-0.95-2.fc28.x86_64.rpm
          pidgin-chime-debuginfo-0.95-2.fc28.x86_64.rpm
          pidgin-chime-debugsource-0.95-2.fc28.x86_64.rpm
          pidgin-chime-0.95-2.fc28.src.rpm
pidgin-chime.x86_64: W: spelling-error Summary(en_US) libpurple -> lib purple, lib-purple, purple
pidgin-chime.x86_64: W: incoherent-version-in-changelog 0.95-1 ['0.95-2.fc28', '0.95-2']
pidgin-chime.x86_64: W: no-documentation
purple-chime.x86_64: W: spelling-error Summary(en_US) Libpurple -> Lib purple, Lib-purple, Purple
purple-chime.x86_64: W: spelling-error %description -l en_US libpurple -> lib purple, lib-purple, purple
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon.com_InfoSec_CA_G3.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon.com_InfoSec_CA_G3.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon.com_Internal_Root_Certificate_Authority.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon.com_Internal_Root_Certificate_Authority.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_1.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_1.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_2.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_2.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_3.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_3.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/Amazon_Root_CA_4.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/Amazon_Root_CA_4.pem
purple-chime.x86_64: W: non-conffile-in-etc /etc/pki/purple-chime/cacerts/SFS_Root_CA_G2.pem
purple-chime.x86_64: W: pem-certificate /etc/pki/purple-chime/cacerts/SFS_Root_CA_G2.pem
evolution-chime.x86_64: W: no-documentation
pidgin-chime-debugsource.x86_64: W: no-documentation
pidgin-chime.src: W: spelling-error Summary(en_US) libpurple -> lib purple, lib-purple, purple
6 packages and 0 specfiles checked; 0 errors, 22 warnings.

Comment 12 Robert-André Mauchin 🐧 2018-05-06 22:00:56 UTC
(In reply to Robert-André Mauchin from comment #11)
> Package approved.
> 
> There's a mismatch between the Version-Header in the header and in the
> %changelog. Please fix this before import.
> 

I meant the Version-Release info.

Comment 13 Gwyn Ciesla 2018-05-07 13:16:02 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/pidgin-chime

Comment 14 Elliott Sales de Andrade 2020-08-03 00:36:20 UTC
Please close your Review Requests when they are complete.


Note You need to log in before you can comment on or make changes to this bug.